Name:		ocaml-calendar
Version:	2.04
Release:	%mkrel 11
Summary:	OCaml calendar library
License:	LGPLv2 with linking exception
Group:		Development/OCaml
URL:		http://calendar.forge.ocamlcore.org/
Source0:	http://forge.ocamlcore.org/frs/download.php/1481/calendar-%{version}.tar.gz
Patch0:		calendar-2.03.2-enable-debug.patch
BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-findlib-devel

%description
The Calendar library is a library providing a set of operations over dates and
times.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n calendar-%{version}
%autopatch -p1

%build
%configure
%__make

%check
make tests

%install
install -d -m 755 %{buildroot}%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR="%{buildroot}%{_libdir}/ocaml"

rm -f %{buildroot}%{_libdir}/ocaml/calendar/*.{o,cmo}

%files
%doc calendarFAQ-2.6.txt calendar_faq.txt CHANGES COPYING LGPL README TODO
%dir %{_libdir}/ocaml/calendar
%{_libdir}/ocaml/calendar/META
%{_libdir}/ocaml/calendar/*.cma
%{_libdir}/ocaml/calendar/*.cmi
%{_libdir}/ocaml/calendar/*.cmxs

%files devel
%{_libdir}/ocaml/calendar/*.a
%{_libdir}/ocaml/calendar/*.cmxa
%{_libdir}/ocaml/calendar/*.cmx
%{_libdir}/ocaml/calendar/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 2.04-11.mga8
+ Revision: 1670412
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 2.04-10.mga8
+ Revision: 1551131
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 2.04-9.mga8
+ Revision: 1544468
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 2.04-8.mga8
+ Revision: 1483025
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 2.04-7.mga7
+ Revision: 1324027
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 2.04-6.mga7
+ Revision: 1323724
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 2.04-5.mga7
+ Revision: 1299843
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 2.04-4.mga7
+ Revision: 1179485
- rebuild for new ocaml

* Wed Sep 27 2017 daviddavid <daviddavid> 2.04-3.mga7
+ Revision: 1160581
- add patch to enable debugging information

* Mon Sep 26 2016 pterjan <pterjan> 2.04-2.mga6
+ Revision: 1056265
- Rebuild for fix in ocaml

* Thu Feb 18 2016 daviddavid <daviddavid> 2.04-1.mga6
+ Revision: 965989
- new version: 2.04

* Fri Feb 12 2016 umeabot <umeabot> 2.03.2-9.mga6
+ Revision: 956310
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.03.2-8.mga5
+ Revision: 742986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.03.2-7.mga5
+ Revision: 682998
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.03.2-6.mga4
+ Revision: 534960
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 malo <malo> 2.03.2-5.mga4
+ Revision: 480315
- rebuild for new ocaml

* Sat Jan 12 2013 umeabot <umeabot> 2.03.2-4.mga3
+ Revision: 361185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 2.03.2-3.mga3
+ Revision: 301073
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 2.03.2-2.mga3
+ Revision: 300454
- dependency for ocaml-compiler
- new rpm group for ocaml

* Thu Jun 28 2012 malo <malo> 2.03.2-1.mga3
+ Revision: 264748
- update to 2.03.2

* Sun Dec 04 2011 malo <malo> 2.03.1-3.mga2
+ Revision: 176189
- spec clean-up
- putting files in the right package (per Ocaml policy)

* Sat Oct 22 2011 malo <malo> 2.03.1-2.mga2
+ Revision: 157425
- rebuild for Ocaml 3.12.1

* Sun Oct 02 2011 shlomif <shlomif> 2.03.1-1.mga2
+ Revision: 150989
- New version - 2.03.1 - thanks to Malo

* Sun Oct 02 2011 fwang <fwang> 2.02-2.mga2
+ Revision: 150879
- rebuild for new ocaml

* Mon Mar 21 2011 saispo <saispo> 2.02-1.mga1
+ Revision: 75213
- imported package ocaml-calendar

